PKG-ADD(8)

NAME
pkg add - Registers a package and installs it on the system

SYNOPSIS
pkg add [-IAfq] pkg-name ...
pkg add [-IAfq] <protocol>://<path>/<pkg-name> ...

DESCRIPTION
pkg add installs packages from either a local source or a remote one.

When installing from a remote source you need to specify the protocol to use when fetching the package.

Currently supported protocols are FTP, HTTP and HTTPS.

OPTIONS
The following options are supported by pkg add:

-I  If any installation scripts (pre-install or post-install) exist for given packages, do not execute them.

-A  Mark the installed packages as orphan. Will be automatically removed if no other packages depend on them. For more information please refer to pkg-autoremove(8)

-f  Force the reinstallation of the package if already installed.

-q  Force quiet output.

ENVIRONMENT
The following environment variables affect the execution of pkg add. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)